ATRIP 令牌
Atlas API ATRIP 令牌端点参考,用于生成下游服务和运营流程所需的访问令牌。
在指南和链接中使用 ATRIP 令牌 作为主要名称。
此 API 映射到 getAtripToken.do。
旧版资料可能称之为 getAtripToken。
Dependency No preceding function needs to be carried out.
application/jsonapplication/jsongzipExample: gzip<YOUR_CLIENT_ID>Example: <YOUR_CLIENT_ID><YOUR_CLIENT_SECRET>Example: <YOUR_CLIENT_SECRET>Order number. It can be an order for ticketing, or an order for add bags. The format of each kind of order is different.
This is to identifier the operator's name in client's system, Atlas will grant access to this operator and track his/her actions in Atlas customer service portal.
This is to identify the operator's role. Atlas will grant access to this operator according to the role assigned. Here are the acceptable options:
Customer service : Access to manage orders and request post ticketing services
Finance : Access to manage the balance and check statements
Developer : Access to manage the system configurations
Admin : Full access
A url with token to access to Atlas customer service portal.
0: success
2: System error
3: unauthorized access
Error message.
The 'msg' element is for description of the results. Please DO NOT use this field to check the success or failure of the request. Only use the 'status' code to check the result.
POST /getAtripToken.do HTTP/1.1
Accept: text
Accept-Encoding: gzip
x-atlas-client-id: <YOUR_CLIENT_ID>
x-atlas-client-secret: <YOUR_CLIENT_SECRET>
Content-Type: application/json
Content-Length: 89
{
"cid": "xxxxxx",
"orderNo": "XXXXXXXXXXXXXXXXXXX",
"userName": "tony.kal",
"role": "TICKETING"
}{
"url": "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
"msg": null,
"status": 0
}Last updated
Was this helpful?

